Index: main/kofacustom.udss/trunk/src/kofacustom/udss/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 17712)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 17737)
@@ -6,85 +6,285 @@
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: \n"
+"Language: en\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=iso-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 3.2.2\n"
 
 msgid "Academics"
-msgstr "Classes"
+msgstr "School Structure"
+
+msgid "Academic Section"
+msgstr "School Structure"
+
+msgid "Manage academic section"
+msgstr "Manage school structure"
+
+msgid "Search academic section"
+msgstr "Search school structure"
+
+msgid "Faculties"
+msgstr "Schools"
 
 msgid "Name of faculty"
-msgstr "Name of class"
+msgstr "Name of school"
 
 msgid "The code chosen already exists in this faculty."
-msgstr "The code chosen already exists in this class."
+msgstr "The code chosen already exists in this school."
 
 msgid "Manage faculty"
-msgstr "Manage class"
+msgstr "Manage school"
 
 msgid "Add faculty"
-msgstr "Add class"
+msgstr "Add school"
 
 msgid "Faculty ${a} added."
-msgstr "Class ${a} added."
+msgstr "School ${a} added."
 
 msgid "Faculty Code"
-msgstr "Class Code"
+msgstr "School Code"
 
 msgid "Faculty:"
-msgstr "Class:"
+msgstr "School:"
 
 msgid "Faculty Processor"
-msgstr "Faculty (Class) Processor"
+msgstr "School Processor"
 
 msgid "Faculty Officer 1"
-msgstr "Class Officer 1"
+msgstr "School Officer 1"
 
 msgid "Faculty Officer 2"
-msgstr "Class Officer 2"
-
-msgid "Departments"
-msgstr "Arms"
-
-msgid "Department"
-msgstr "Arm"
-
-msgid "Add department"
-msgstr "Add arm"
-
-msgid "Manage department"
-msgstr "Manage arm"
-
-msgid "'All students, who requested clearance in this department, will be cleared. Are you sure?'"
-msgstr "'All students, who requested clearance in this arm, will be cleared. Are you sure?'"
-
-msgid "in department"
-msgstr "in arm"
-
-msgid "Name of department"
-msgstr "Name of arm"
-
-msgid "Department ${a} added."
-msgstr "Arm ${a} added."
-
-msgid "Department Code"
-msgstr "Arm Code"
-
-msgid "Department:"
-msgstr "Arm:"
-
-msgid "Department Processor"
-msgstr "Department (Arm) Processor"
-
-msgid "Department Officer 1"
-msgstr "Arm  Officer 1"
-
-msgid "Department Officer 2"
-msgstr "Arm  Officer 2"
-
-msgid "Department Officer 3"
-msgstr "Arm  Officer 3"
-
-msgid "Department Officer 4"
-msgstr "Arm Officer 4"
+msgstr "School Officer 2"
+
+#: waeup/kofa/browser/templates/certificatecoursepage.pt:26
+msgid "Level:"
+msgstr ""
+
+#: waeup/kofa/browser/viewlets.py:1093
+msgid "Course Levels"
+msgstr ""
+
+#: waeup/kofa/browser/viewlets.py:1101
+#: waeup/kofa/students/browser_templates/studycoursemanagepage.pt:12
+msgid "Study Levels"
+msgstr ""
+
+#: waeup/kofa/students/batching.py:607
+msgid "StudentStudyLevel Processor"
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1226 waeup/kofa/students/browser.py:1300
+msgid "Remove selected levels"
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1227 waeup/kofa/students/browser.py:1273
+msgid "Add study level"
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1252
+msgid "Current level not available for certificate."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1278
+msgid "You must select a session for the level."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1283
+msgid "Level zero must not be assigned a session."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1294
+msgid "Study level has been added."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1296 waeup/kofa/students/browser.py:3245
+msgid "This level exists."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1306
+msgid "No study level selected."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1725
+msgid "Current level does not match certificate levels."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1811
+msgid "Level Data"
+msgstr ""
+
+#: waeup/kofa/students/browser.py:1832
+msgid "Level Courses"
+msgstr ""
+
+#. Default: ""
+#: waeup/kofa/students/browser.py:1982
+msgid "Edit transcript remark of level ${a}"
+msgstr ""
+
+#: waeup/kofa/students/browser.py:2009 waeup/kofa/students/browser.py:2035
+msgid "This is not the student's current level."
+msgstr ""
+
+#: waeup/kofa/students/browser.py:2080
+msgid "This is not your current level."
+msgstr ""
+
+#. Default: ""
+#: waeup/kofa/students/browser.py:3218
+msgid "Add current level ${a}"
+msgstr ""
+
+msgid "Current Level"
+msgstr ""
+
+#: waeup/kofa/students/browser.py:3737
+msgid "at any level"
+msgstr ""
+
+msgid "Level"
+msgstr ""
+
+#: waeup/kofa/students/browser.py:4293
+msgid "All Levels"
+msgstr ""
+
+#: waeup/kofa/students/browser_templates/exportconfig.pt:113
+msgid "Course Ticket Level"
+msgstr ""
+
+#: waeup/kofa/students/browser_templates/reverttransfer.pt:4
+msgid ""
+"Student transfers can be reverted one after the other. When reverting a "
+"transfer, the active study course will be entirely removed including all "
+"containing course lists (study levels) and the previous study course will be "
+"reactivated."
+msgstr ""
+
+#: waeup/kofa/students/browser_templates/studycoursemanagepage.pt:40
+#: waeup/kofa/students/browser_templates/studycoursepage.pt:69
+#: waeup/kofa/students/browser_templates/studycoursemanagepage.pt:41
+#: waeup/kofa/students/browser_templates/studycoursepage.pt:70
+msgid "Level Title"
+msgstr ""
+
+#: waeup/kofa/students/browser_templates/studycoursepage.pt:64
+msgid "Study Levels (Course Lists)"
+msgstr ""
+
+#: waeup/kofa/students/browser_templates/studycoursepage.pt:83
+msgid "There are no levels registered yet."
+msgstr ""
+
+#: waeup/kofa/students/browser_templates/studyleveladdpage.pt:4
+msgid ""
+"In Kofa a study level is a container for courses, which means it can list "
+"the courses taken by the student at a certain level. The container also "
+"stores and provides the information when and by whom the course list was "
+"validated, in which session the level was taken and which verdict the "
+"student finally obtained."
+msgstr ""
+
+#: waeup/kofa/students/browser_templates/studylevelmanagepage.pt:7
+#: waeup/kofa/students/browser_templates/studylevelremarkpage.pt:7
+msgid "Study Level Data"
+msgstr ""
+
+#: waeup/kofa/students/export.py:476
+msgid "Student Study Levels (Data Backup)"
+msgstr ""
+
+#: waeup/kofa/students/export.py:499
+msgid "First Course Student Study Levels (Data Backup)"
+msgstr ""
+
+#: waeup/kofa/students/export.py:510
+msgid "Second Course Student Study Levels (Data Backup)"
+msgstr ""
+
+#: waeup/kofa/students/export.py:943
+msgid "Study Levels Overview"
+msgstr ""
+
+#: waeup/kofa/students/interfaces.py:770
+#: waeup/kofa/students/browser_templates/exportconfig_course.pt:23
+#: waeup/kofa/students/browser_templates/exportconfig.pt:99
+msgid "Level Session"
+msgstr ""
+
+#: waeup/kofa/students/interfaces.py:858 waeup/kofa/students/interfaces.py:901
+#: waeup/kofa/students/interfaces.py:924
+msgid "Payment Level"
+msgstr ""
+
+#: waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt:2
+msgid ""
+"Please pick the certificate, session and level for which the report should "
+"be generated. The report will be processed and then made available for you "
+"to view/download."
+msgstr ""
+
+#: waeup/kofa/students/reports/level_report.py:134
+#: waeup/kofa/students/reports/level_report.py:292
+msgid "Level Report"
+msgstr ""
+
+#: waeup/kofa/students/reports/level_report.py:318
+msgid "Create level report"
+msgstr ""
+
+#: waeup/kofa/students/reports/session_results_presentation.py:180
+msgid "all levels"
+msgstr ""
+
+#: waeup/kofa/students/utils.py:218
+msgid "Current Level:"
+msgstr ""
+
+#: waeup/kofa/students/utils.py:765
+msgid "Course has already been passed at previous level."
+msgstr ""
+
+#. Default: ""
+#: waeup/kofa/students/vocabularies.py:107
+#: waeup/kofa/students/vocabularies.py:115
+msgid "Error: wrong level id ${value}"
+msgstr ""
+
+#: waeup/kofa/students/vocabularies.py:110
+msgid "Level Zero"
+msgstr ""
+
+#. Default: ""
+#: waeup/kofa/students/vocabularies.py:120
+#: waeup/kofa/students/vocabularies.py:123
+msgid "Error: level id ${value} out of range"
+msgstr ""
+
+#: waeup/kofa/university/interfaces.py:265
+msgid "Start Level"
+msgstr ""
+
+#: waeup/kofa/university/interfaces.py:272
+msgid "End Level"
+msgstr ""
+
+#: waeup/kofa/university/interfaces.py:339
+#: waeup/kofa/university/interfaces.py:341
+msgid "Start level and end level must correspond."
+msgstr ""
+
+#: waeup/kofa/university/interfaces.py:343
+#: waeup/kofa/university/interfaces.py:346
+msgid "Study mode, start level and end level must correspond."
+msgstr ""
+
+#: waeup/kofa/university/vocabularies.py:41
+msgid "Postgraduate Level"
+msgstr ""
+
+#: waeup/kofa/university/vocabularies.py:42
+msgid "Modules Level"
+msgstr ""
 
 msgid "Pre-Studies"
@@ -121,4 +321,8 @@
 msgstr "Child Base Data"
 
-msgid "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
-msgstr "I confirm that the Passport Photograph uploaded on this form is a true picture of the child."
+msgid ""
+"I confirm that the Passport Photograph uploaded on this form is a true "
+"picture of me."
+msgstr ""
+"I confirm that the Passport Photograph uploaded on this form is a true "
+"picture of the child."