Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/export.py	(revision 17759)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/export.py	(revision 17760)
@@ -23,5 +23,5 @@
 from waeup.kofa.applicants.interfaces import (
     IApplicantBaseData, IApplicantsContainer, IApplicantOnlinePayment,
-    IApplicantRefereeReport)
+    IApplicantRefereeReport, IApplicant)
 from waeup.kofa.interfaces import ICSVExporter
 from waeup.kofa.interfaces import MessageFactory as _
@@ -80,5 +80,5 @@
     grok.name('applicants')
 
-    fields = tuple(sorted(iface_names(IApplicantBaseData))) + (
+    fields = tuple(sorted(iface_names(IApplicant))) + (
         'password', 'state', 'history', 'container_code', 'application_number',
         'display_fullname', 'application_date')
@@ -93,6 +93,8 @@
         if name.startswith('course') and value is not None:
             value = value.code
-        #elif name == 'school_grades':
-        #    value = [eval(entry.to_string()) for entry in value]
+        elif name == 'school_grades' and value is not None:
+            value = [eval(entry.to_string()) for entry in value]
+        elif name == 'referees' and value is not None:
+            value = [eval(entry.to_string()) for entry in value]
         elif name == 'history':
             value = getattr(value, 'messages', None)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 17759)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 17760)
@@ -19,4 +19,5 @@
 from waeup.kofa.interfaces import ICSVExporter
 from waeup.kofa.schoolgrades import ResultEntry
+from waeup.kofa.refereeentries import RefereeEntry
 from waeup.kofa.testing import KofaUnitTestLayer, FunctionalLayer
 from waeup.kofa.utils.utils import KofaUtils
@@ -127,6 +128,7 @@
             KofaUtils.EXAM_GRADES[0][0]
             )
-        applicant.school_grades = [
-            result_entry]
+        applicant.school_grades = [result_entry]
+        referee_entry = RefereeEntry(u'John Doe', 'john@aa.aa')
+        applicant.referees = [referee_entry]
         return applicant
 
@@ -143,8 +145,8 @@
             'applicant_id,course1,course2,course_admitted,date_of_birth,'
             'email,firstname,lastname,locked,middlename,notice,phone,'
-            'reg_number,sex,special_application,student_id,suspended,'
-            'password,state,history,container_code,application_number,'
-            'display_fullname,application_date\r\n'
-            'dp2011_654321,,,,,,Anna,Tester,0'
+            'referees,reg_number,school_grades,sex,special_application,'
+            'student_id,suspended,password,state,history,container_code,'
+            'application_number,display_fullname,application_date\r\n'
+            'dp2011_654321,,,,,,Anna,Tester'
             in result)
         self.assertTrue(
@@ -166,7 +168,7 @@
             'applicant_id,course1,course2,course_admitted,date_of_birth,'
             'email,firstname,lastname,locked,middlename,notice,phone,'
-            'reg_number,sex,special_application,student_id,suspended,'
-            'password,state,history,container_code,application_number,'
-            'display_fullname,application_date\r\n'
+            'referees,reg_number,school_grades,sex,special_application,'
+            'student_id,suspended,password,state,history,container_code,'
+            'application_number,display_fullname,application_date\r\n'
             'dp2011_654321,CERT1,CERT1,CERT1,1981-02-04#,'
             'anna@sample.com,Anna,Tester,'
@@ -189,7 +191,7 @@
             'applicant_id,course1,course2,course_admitted,date_of_birth,'
             'email,firstname,lastname,locked,middlename,notice,phone,'
-            'reg_number,sex,special_application,student_id,suspended,'
-            'password,state,history,container_code,application_number,'
-            'display_fullname,application_date\r\n'
+            'referees,reg_number,school_grades,sex,special_application,'
+            'student_id,suspended,password,state,history,container_code,'
+            'application_number,display_fullname,application_date\r\n'
             'dp2011_654321,CERT1,CERT1,CERT1,1981-02-04#,'
             'anna@sample.com,Anna,Tester,'
@@ -198,4 +200,10 @@
             'Application initialized by system\'],dp2011,654321,'
             'Anna M. Tester,\r\n'
+            in result)
+        self.assertTrue(
+            '[(\'computer_science\', \'A\')]'
+            in result)
+        self.assertTrue(
+            '[(u\'John Doe\', \'john@aa.aa\', False)]'
             in result)
         return
@@ -210,7 +218,7 @@
             'applicant_id,course1,course2,course_admitted,date_of_birth,'
             'email,firstname,lastname,locked,middlename,notice,phone,'
-            'reg_number,sex,special_application,student_id,suspended,'
-            'password,state,history,container_code,application_number,'
-            'display_fullname,application_date\r\n'
+            'referees,reg_number,school_grades,sex,special_application,'
+            'student_id,suspended,password,state,history,container_code,'
+            'application_number,display_fullname,application_date\r\n'
             'dp2011_654321,CERT1,CERT1,CERT1,1981-02-04#,'
             'anna@sample.com,Anna,Tester,'
@@ -230,7 +238,7 @@
             'applicant_id,course1,course2,course_admitted,date_of_birth,'
             'email,firstname,lastname,locked,middlename,notice,phone,'
-            'reg_number,sex,special_application,student_id,suspended,'
-            'password,state,history,container_code,application_number,'
-            'display_fullname,application_date\r\n'
+            'referees,reg_number,school_grades,sex,special_application,'
+            'student_id,suspended,password,state,history,container_code,'
+            'application_number,display_fullname,application_date\r\n'
             in result)
         return