Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/deplinks.csv
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/deplinks.csv	(revision 17770)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/deplinks.csv	(revision 17771)
@@ -110,2 +110,22 @@
 SSC-SWK,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiI1YWY1NjVlMy1kY2M4LTRmOTUtYTU1Zi01ZWVhN2M4OGRkMTYiLCJleHAiOjE5MjQ5NDU1MDAsImlhdCI6MTY5MDQ1MjEzMiwianRpIjoiMTM5MWMzMjEtNGI4NS00YzZhLWEwODItNmRjZDUwZGM0ZjQxIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImY2OGQwMTA5LTIzZjAtNDY0Yy1hZDY5LTczMmMxNDIzOTNjYiJ9.y_05qNCUEqw4w5C2hdvXLkcOA19aVQ58iRuIO5QbHDE
 VNM-VNM,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIyMTMwMjA4Ni0zMTlmLTQ0OWItODZmMC1mNDIxY2YzNzVmNmUiLCJleHAiOjE5MjQ5NjExMDAsImlhdCI6MTY5MDI5NDk4NywianRpIjoiMjUyZWI5M2YtZjZkMi00NzU4LWI2NWItMGJhYzNhNDExMjUyIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImQyMjg4M2I2LWJhN2MtNDM1NS04MDhlLTMwODZiMjUzYjk3MiJ9.jKRrTPmYBdtWGNOw7YhdTFYpkHJsR9LZcHl8yFBPyMY
+AGR-ANS,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiI4YjRhZmYxZi1iYmFmLTQ0NDEtODVlMi05YWIwOTFhNDgxM2UiLCJleHAiOjE5MjQ5MTM0MDAsImlhdCI6MTY5MDI5NDIzOCwianRpIjoiOTZjNzJiNTEtY2U3NC00YThlLWI5N2UtNzQ4MzNjNDQ0YzdlIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjE0MmU0YTMwLWIwYTMtNDBhMy1hMWYzLWE0YjEyN2ZmZTgyZSJ9.6slRiI5n5frq8lmATc954dRW3kWODzwJQPh6bkenCKY
+AGR-FOW,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiI4YjRhZmYxZi1iYmFmLTQ0NDEtODVlMi05YWIwOTFhNDgxM2UiLCJleHAiOjE5MjQ5MTM0MDAsImlhdCI6MTY5MDI5NDE1NywianRpIjoiZjE1YWVlZTctMzI4Ny00MzgyLWI1MzItMjU4ODg1Y2YxYzM3IiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImY5NDVhNzllLWIzOGYtNGE3YS1hNjg1LTUxMmM4Y2ZjYWNhMyJ9.JA5WIzJOh7bEb8xDjPxKhHeBHeAMj3610zH_F9L6J3I
+EDU-DEF,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiJhMGExOGMxYy05MjIxLTQyYjYtOWM1YS1iNzdlNWMyY2ZlYzgiLCJleHAiOjE5MjQ5MDU2MDAsImlhdCI6MTY5MDU0NTQ5NSwianRpIjoiNDlmMzFkMjEtMDk2ZC00ZWExLWI1NDgtZTg4NWRiNTU4ZDg4IiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImZmNTllMjRiLTg5ODQtNGE1YS1iZmIwLTQ1NWU2ZTUwMzRkZSJ9.EzMa-xqzDo35xlkV7ru2KsqYkAu_Rzi0Iu3TlmqWsoY
+EDU-VTE,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiJhMGExOGMxYy05MjIxLTQyYjYtOWM1YS1iNzdlNWMyY2ZlYzgiLCJleHAiOjE5MjQ5NDEwMDAsImlhdCI6MTY5ODMxMzg1OCwianRpIjoiMDcxZTJkNjMtMDJhMC00OWZmLWI1MTAtMmY1ZWZiYzE3MDRjIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImIzYTA0MzZkLTBjZTAtNGMxNS05N2NhLTk2N2EyZDk3YTI2NCJ9.BPg5oNGPJ6ltosAgqiXVfYBLBZ63VTw88tzxH-hX-Kk
+ENG-PEE,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIxNmU0NDgwNS1kYWY1LTRmNWQtOWFhNi0zMWMzZGY2MTcwNmQiLCJleHAiOjE5MjQ5MDcxMDAsImlhdCI6MTY5MDM3NDQxMSwianRpIjoiZDEyNjkyOGEtOWQ4NS00YTQyLTg4MWYtY2Q1NzdkNDBjMTIzIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjcwMTgzMzk3LWU2NjQtNDExOS05YjU1LTdiNjA4YjlkZDU3NiJ9.ac7crxMMMWsI3t8wWzFBmAskSgCQSzz1HB6hZ5cn1xE
+INE-INE,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiJhMGExOGMxYy05MjIxLTQyYjYtOWM1YS1iNzdlNWMyY2ZlYzgiLCJleHAiOjE5MjQ5ODY5MDAsImlhdCI6MTcxMzQzNjYwOSwianRpIjoiZDRiOGY2YWItM2JkMy00MzE0LWJkZDItNTliMjljMzU4NTM3IiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImUzZThlYTExLTUwMzAtNDk4Yy04N2ExLTcyZWY2YTdjMTkzYyJ9.jjXzEHKLBPMkw_V4qGg85k_sVxhUxh5lnd-mJSsoL4Q
+MGS-ACC,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIyMTMwMjA4Ni0zMTlmLTQ0OWItODZmMC1mNDIxY2YzNzVmNmUiLCJleHAiOjE5MjQ5MDk4MDAsImlhdCI6MTcwNzQ4NDE2NCwianRpIjoiMGZkZjhjZjMtZjU4NS00N2M3LThmZjctM2YyYWJiNzcwNzVmIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjVlMWI0NjJhLTZhYzctNGEwZS1iMmJkLTg2MDljZmQ1NTEzMCJ9.g33j7xGgW_zHZCp8GttStpXCpvL6KQvU2Xi2-W54TFM
+MGS-ACT,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIyMTMwMjA4Ni0zMTlmLTQ0OWItODZmMC1mNDIxY2YzNzVmNmUiLCJleHAiOjE5MjQ5MDk4MDAsImlhdCI6MTcwNzQ4NDA4MSwianRpIjoiM2FlNGY1YmQtODQxMC00NWQyLThlZjEtODhlOGFjY2VhOWI3IiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjQ3ZmZlOTg2LTc1MGEtNGY4Ny05YTk0LWE0MWI0MjBhNjhlNCJ9.zvQ2OIs7jQLOxphOdZ8zBI3Il4JoiCuE7jMrwsFTsyk
+MGS-BNK,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIyMTMwMjA4Ni0zMTlmLTQ0OWItODZmMC1mNDIxY2YzNzVmNmUiLCJleHAiOjE5MjQ5NDE5MDAsImlhdCI6MTcwNjE3NzAyMywianRpIjoiY2Q5ODhmYWItYjVhZC00ODY0LWI1ZGItYzc3YTQ3MzE2ZjM1IiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjEzNGU0ZmRlLTRkYWMtNDcxYi1hZmZlLWNjM2EwZGFmYTE3YiJ9.xvYz6xxhxSvXBE_TNKt-nEkSBrDOQvu2GmAAZS4V-_4
+MGS-BUS,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIyMTMwMjA4Ni0zMTlmLTQ0OWItODZmMC1mNDIxY2YzNzVmNmUiLCJleHAiOjE5MjQ5NDMxMDAsImlhdCI6MTcwNjE3ODMxOSwianRpIjoiMWI5MGYyNTEtMGMyOC00YWIzLTgzOGYtNTQwMTlmODdjOTBhIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImYzYzk4YjU0LTY0ZmYtNGIzZi1iMGMxLTg2ZTE0NDc3YWFlNyJ9.f3HvrWtLZ522RSA4ygi2hpwcwd1Enmvx0wqi0gCbMWQ
+MGS-ENT,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIyMTMwMjA4Ni0zMTlmLTQ0OWItODZmMC1mNDIxY2YzNzVmNmUiLCJleHAiOjE5MjQ5NDI4MDAsImlhdCI6MTcwNjE3Nzk3NywianRpIjoiNDg2YzIxN2YtNDRlNi00YzdmLWE4YjctM2EwZTMyYjBhNzJhIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImNmYTAzYzgwLTRjZDctNDA4Ni1iYTY1LWFiYjRlMjg2ZjBkMyJ9.vN7uSwcKh9ZhLDCD_aZLWRQsaKKMp0FptgNuApGMV1I
+MGS-HRM,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIyMTMwMjA4Ni0zMTlmLTQ0OWItODZmMC1mNDIxY2YzNzVmNmUiLCJleHAiOjE5MjQ5NDMxMDAsImlhdCI6MTcwNjE3ODM2MywianRpIjoiYWU3OTY0YmQtNDdiNC00NzliLTk5YWEtZGJhNDY5NzllOTAwIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjMwNWYyYzlhLTc3ZWQtNDE2ZS1iOTI0LWI5Y2Y1MmY5NWYxOCJ9.9ZMLiP9bmlooukgSLdexKhyV2Kiki67dVDu42LRr9K8
+MGS-INS,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIyMTMwMjA4Ni0zMTlmLTQ0OWItODZmMC1mNDIxY2YzNzVmNmUiLCJleHAiOjE5MjQ5NDM0MDAsImlhdCI6MTcwNjE3ODQ2NywianRpIjoiZDA0YmVjYzktZWFiNS00MTU2LWIyODgtZWFkYzZkOWM0YzgzIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjdkNWRkMDYyLTU5ODctNGMyNC1iZGM3LWU4NTkyOTM5OGUyMiJ9.8L8vXujUAnf6vfUDAWQOezAIbB-EnhIOp1IhNPUa93s
+MGS-MKT,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIyMTMwMjA4Ni0zMTlmLTQ0OWItODZmMC1mNDIxY2YzNzVmNmUiLCJleHAiOjE5MjQ5NDU1MDAsImlhdCI6MTcxMzQzODM0NywianRpIjoiZWEyZWExOTYtZDgwYi00NjYxLWE5YTYtYWM2NWM2Njk2NzZjIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImFhMDY3YmI4LWJhNjAtNGNlNy04ZGQwLTY5NGM2YzYwY2U0YiJ9.t5EKWhKbqk6JOjXP5zZ8YY2BuEIZovZoQRjO0FCSa3E
+DEN-DPV,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiJiOGY2YzBjMC01ZjUxLTRiMjEtODQxZC0yNGNlMGJiYTNlNjAiLCJleHAiOjE5MjQ5NDczMDAsImlhdCI6MTcwOTI5NjM3OSwianRpIjoiZjQ2MWNlY2MtMWM1OC00YWQyLWJmMTgtYTExODFlNzgzNmRmIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjNlNjI1MDhjLTc3YTItNDhmMC05YTJhLTUxYjFhNDcxNmU3NiJ9.BMtg_wjgKQByPlWUTOQqrResNPKLB-olVv23xixi2kk
+DEN-ODR,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIxNmU0NDgwNS1kYWY1LTRmNWQtOWFhNi0zMWMzZGY2MTcwNmQiLCJleHAiOjE5MjQ5MDc0MDAsImlhdCI6MTY5MDM3NDQ5MSwianRpIjoiZjAwN2ZlNWYtOTc3Ni00NGI5LWEyZmEtZDM0NDQ0YzQ5YjY5IiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjJiOGFiNzk2LTY5MmEtNGM1NS1hNDg4LWIzNDI1OTQ3NDc3ZCJ9.M2eG7KXDQSN1s6iesIj0MO9knaLfAaOaf9bNFIEhgx8
+DEN-OSP,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiJiOGY2YzBjMC01ZjUxLTRiMjEtODQxZC0yNGNlMGJiYTNlNjAiLCJleHAiOjE5MjQ5NDczMDAsImlhdCI6MTcwOTI5NjM3OSwianRpIjoiZjQ2MWNlY2MtMWM1OC00YWQyLWJmMTgtYTExODFlNzgzNmRmIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjNlNjI1MDhjLTc3YTItNDhmMC05YTJhLTUxYjFhNDcxNmU3NiJ9.BMtg_wjgKQByPlWUTOQqrResNPKLB-olVv23xixi2kk
+DEN-PER,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIxNmU0NDgwNS1kYWY1LTRmNWQtOWFhNi0zMWMzZGY2MTcwNmQiLCJleHAiOjE5MjQ5MDc0MDAsImlhdCI6MTY5MDM3NDQ5MSwianRpIjoiZjAwN2ZlNWYtOTc3Ni00NGI5LWEyZmEtZDM0NDQ0YzQ5YjY5IiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjJiOGFiNzk2LTY5MmEtNGM1NS1hNDg4LWIzNDI1OTQ3NDc3ZCJ9.M2eG7KXDQSN1s6iesIj0MO9knaLfAaOaf9bNFIEhgx8
+DEN-RES,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiJiOGY2YzBjMC01ZjUxLTRiMjEtODQxZC0yNGNlMGJiYTNlNjAiLCJleHAiOjE5MjQ5NDczMDAsImlhdCI6MTcwOTI5NjM3OSwianRpIjoiZjQ2MWNlY2MtMWM1OC00YWQyLWJmMTgtYTExODFlNzgzNmRmIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjNlNjI1MDhjLTc3YTItNDhmMC05YTJhLTUxYjFhNDcxNmU3NiJ9.BMtg_wjgKQByPlWUTOQqrResNPKLB-olVv23xixi2kk 
+