Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/browser.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/browser.py	(revision 17791)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/browser.py	(revision 17792)
@@ -17,4 +17,6 @@
 ##
 
+import os
+import csv
 from kofacustom.nigeria.etranzact.applicantsbrowser import (
     EtranzactPageApplicant, EtranzactReceiveResponseApplicant,
@@ -324,4 +326,9 @@
 CREDO_HOST = "api.credocentral.com"
 
+scodes_path = os.path.join(
+    os.path.dirname(__file__), 'servicecodes.csv')
+reader = csv.DictReader(open(scodes_path, 'rb'))
+SCODES = {line['p_category']:line['serviceCode'] for line in reader}
+
 class CustomCredoPageStudent(CredoPageStudent):
 
@@ -329,4 +336,8 @@
     api_public_key = API_PUBLIC_KEY
 
+    @property
+    def serviceCode(self):
+        return SCODES.get(self.context.p_category, None)
+
 class CustomCredoPageApplicant(CredoPageApplicant):
 
@@ -334,4 +345,8 @@
     api_public_key = API_PUBLIC_KEY
 
+    @property
+    def serviceCode(self):
+        return SCODES.get(self.context.p_category, None)
+
 class CustomCredoVerifyPaymentStatusPageStudent(CredoVerifyPaymentStatusPageStudent):
 
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/servicecodes.csv
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/servicecodes.csv	(revision 17792)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/servicecodes.csv	(revision 17792)
@@ -0,0 +1,74 @@
+p_category,serviceCode
+alumni,0012795VY04B
+app_balance,001279GAMR0D
+application,001279QHNY39
+book,001279Q9DTA0
+brought_fwd,
+cdlcourse1,001279Q6HHR5
+cdlcourse10,001279Q6HHR5
+cdlcourse11,001279Q6HHR5
+cdlcourse12,001279Q6HHR5
+cdlcourse13,001279Q6HHR5
+cdlcourse14,001279Q6HHR5
+cdlcourse15,001279Q6HHR5
+cdlcourse2,001279Q6HHR5
+cdlcourse3,001279Q6HHR5
+cdlcourse4,001279Q6HHR5
+cdlcourse5,001279Q6HHR5
+cdlcourse6,001279Q6HHR5
+cdlcourse7,001279Q6HHR5
+cdlcourse8,001279Q6HHR5
+cdlcourse9,001279Q6HHR5
+change_course,001279QHNY39
+clearance,001279GAMR0D
+clinical,0012795VY04B
+combi,
+conv,001279RFCHGL
+develop,00127991W3YH
+examination,001279XQN0XT
+fine,0012794HX5IM
+grad_clearance,001279IMZX63
+health_insurance,001279D9QEWQ
+ict,
+id_card,001279RILHKN
+iuits,0012795VY04B
+jambver,001279TU1AMJ
+jupeb_acc,001279IRSVSR
+jupeb_arts,001279IRSVSR
+jupeb_form,001279IRSVSR
+jupeb_hostel,001279IRSVSR
+jupeb_reg,001279IRSVSR
+jupeb_sci,001279IRSVSR
+late_registration,001279JWFNHI
+library,001279B2RTPD
+lo_ident,
+make_up,00127988AINF
+makeup_admin,001279HD01SC
+matric,001279C9HZGG
+medical,001279AR77U7
+municipal_fresh,0012797662OC
+municipal_returning,0012797662OC
+orientation,
+parentsconsult,001279C7A1C6
+pg_application,001279KRW0J4
+pg_other,001279MMZIC7
+pharmlab,001279XBU4AW
+registration,001279GTQ3SN
+required_combi,
+resit1,0012798VI0I4
+resit2,0012798VI0I4
+resit3,0012798VI0I4
+resit4,0012798VI0I4
+resit5,0012798VI0I4
+resit6,0012798VI0I4
+resit7,0012798VI0I4
+resit8,0012798VI0I4
+resit9,0012798VI0I4
+schoolfee,001279GAMR0D
+schoolfee40,001279GAMR0D
+science,001279C2W76L
+secondinstal,001279GAMR0D
+transcript,0012799MP8PZ
+transcript_local,0012799MP8PZ
+transcript_overseas,0012799MP8PZ
+waecneco,001279RX55VK
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 17791)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 17792)
@@ -143,5 +143,5 @@
         'iuits': 'IUITS Fee',
         'fine': 'Fine',
-        'combi': 'Combi Payment',
+        #'combi': 'Combi Payment',
         #'resit1': '1 Make-Up Examination Course',
         #'resit2': '2 Make-Up Examination Courses',
@@ -192,5 +192,5 @@
         'cdlcourse14': '14 Courses',
         'cdlcourse15': '15 Courses',
-        'combi': 'Combi Payment',
+        #'combi': 'Combi Payment',
         }
 