Index: main/waeup.aaue/trunk/src/waeup/aaue/students/acceptancefees.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/acceptancefees.csv	(revision 17796)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/acceptancefees.csv	(revision 17804)
@@ -94,4 +94,97 @@
 BSCPSY-,FSS,PSY,62400,2000,800
 BSCSOC-,FSS,SOC,62400,2000,800
+BAGRANS,FAG,ANS,62400,2000,800
+BAGRCRS,FAG,CRS,62400,2000,800
+BAGREES,FAG,EES,62400,2000,800
+BAGRSOS,FAG,SOS,62400,2000,800
+BAENG,FAT,ENG,62400,2000,800
+BAFRN,FAT,FRN,62400,2000,800
+BAHIS,FAT,HIS,62400,2000,800
+BAISD,FAT,HIS,62400,2000,800
+BAMAC,FAT,MAC,62400,2000,800
+BAPHI,FAT,PHI,62400,2000,800
+BARCS,FAT,RCS,62400,2000,800
+BARST,FAT,RCS,62400,2000,800
+BATMA,FAT,TMA,62400,2000,800
+BSCANA,FBM,ANA,62400,2000,800
+BMLS,FBM,MLS,67400,2000,800
+BMLSCHMP,FBM,MLS,67400,2000,800
+BMLSHBTS,FBM,MLS,67400,2000,800
+BMLSHIST,FBM,MLS,67400,2000,800
+BMLSMMCB,FBM,MLS,67400,2000,800
+BSCNSG,FBM,NSG,67400,2000,800
+BSCPHS,FBM,PHS,62400,2000,800
+BSCPYS,FBM,PYS,62400,2000,800
+MBBS,FCS,MED,77400,2000,800
+BEDACC,FED,BED,62400,2000,800
+BEDOTM,FED,BED,62400,2000,800
+BEDSEC,FED,BED,62400,2000,800
+BEDBIO,FED,CAI,62400,2000,800
+BEDCHM,FED,CAI,62400,2000,800
+BEDCSC,FED,CAI,62400,2000,800
+BEDENG,FED,CAI,62400,2000,800
+BEDFRN,FED,CAI,62400,2000,800
+BEDMTH,FED,CAI,62400,2000,800
+BEDPHY,FED,CAI,62400,2000,800
+BEDPPE,FED,CAI,62400,2000,800
+BEDSSE,FED,CAI,62400,2000,800
+CAI,FED,CAI,62400,2000,800
+BEDEDM,FED,EFM,62400,2000,800
+BEDHIS,FED,EFM,62400,2000,800
+BEDRSE,FED,EFM,62400,2000,800
+EFM,FED,EFM,62400,2000,800
+BEDECO,FED,GAC,62400,2000,800
+BEDGAC,FED,GAC,62400,2000,800
+BEDGEO,FED,GAC,62400,2000,800
+BEDPOL,FED,GAC,62400,2000,800
+BEDHED,FED,HKH,62400,2000,800
+BEDHKE,FED,HKH,62400,2000,800
+BEDPHE,FED,HKH,62400,2000,800
+BSCLIS,FED,LIS,62400,2000,800
+BEDAGR,FED,VTE,62400,2000,800
+BEDHECO,FED,VTE,62400,2000,800
+BEDTEC,FED,VTE,62400,2000,800
+VTE,FED,VTE,62400,2000,800
+BSCARC,FES,ARC,62400,2000,800
+BSCBLD,FES,BLD,62400,2000,800
+BFA,FES,FAA,62400,2000,800
+BFAGRH,FES,FAA,62400,2000,800
+BFAPNT,FES,FAA,62400,2000,800
+BFASC,FES,FAA,62400,2000,800
+BFATD,FES,FAA,62400,2000,800
+BSCFAA,FES,FAA,62400,2000,800
+BSCGEM,FES,GEM,62400,2000,800
+BSCGRP,FES,GEM,62400,2000,800
+BENGAGE,FET,AGE,62400,2000,800
+BENGCIE,FET,CIE,62400,2000,800
+BENGELE,FET,ELE,62400,2000,800
+BENGIPE,FET,IPE,62400,2000,800
+BENGMPE,FET,IPE,62400,2000,800
+BENGPE,FET,IPE,62400,2000,800
+BENGMEE,FET,MEE,62400,2000,800
+BENGMME,FET,MME,62400,2000,800
+BSCBCH,FLS,BCH,62400,2000,800
+BSCBOT,FLS,BOT,62400,2000,800
+BSCHND,FLS,HND,62400,2000,800
+BSCMCB,FLS,MCB,62400,2000,800
+BSCPSB,FLS,PSB,62400,2000,800
+BSCZOO,FLS,ZOO,62400,2000,800
+LLB,FLW,LAW,67400,2000,800
+BSCACC,FMS,ACC,62400,2000,800
+BSCBAF,FMS,BAF,62400,2000,800
+BSCBUS,FMS,BUS,62400,2000,800
+BSCPUB,FMS,PUB,62400,2000,800
+BSCCHM,FPS,CHM,62400,2000,800
+BSCICH,FPS,CHM,62400,2000,800
+BSCCSC,FPS,CSC,62400,2000,800
+BSCIMTH,FPS,MTH,62400,2000,800
+BSCMTH,FPS,MTH,62400,2000,800
+BSCSTA,FPS,MTH,62400,2000,800
+BSCAPHY,FPS,PHY,62400,2000,800
+BSCPHY,FPS,PHY,62400,2000,800
+BSCECO,FSS,ECO,62400,2000,800
+BSCPOL,FSS,POL,62400,2000,800
+BSCPSY,FSS,PSY,62400,2000,800
+BSCSOC,FSS,SOC,62400,2000,800
 BAGRPT,AGR,AEC,68300,,
 BAGRPTP,AGR,AEC,68300,,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_23.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_23.csv	(revision 17796)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_23.csv	(revision 17804)
@@ -94,4 +94,97 @@
 BSCPSY-,FSS,PSY,167250,16000,1000,4500,3000,3000,100_20000,
 BSCSOC-,FSS,SOC,167250,16000,1000,4500,3000,3000,100_20000,
+BAGRANS,FAG,ANS,168000,16000,1000,4500,3000,3000,100_20000,
+BAGRCRS,FAG,CRS,168000,16000,1000,4500,3000,3000,100_20000,
+BAGREES,FAG,EES,168000,16000,1000,4500,3000,3000,100_20000,
+BAGRSOS,FAG,SOS,168000,16000,1000,4500,3000,3000,100_20000,
+BAENG,FAT,ENG,157250,16000,1000,4500,3000,3000,100_20000,
+BAFRN,FAT,FRN,157250,16000,1000,4500,3000,3000,100_20000,
+BAHIS,FAT,HIS,157250,16000,1000,4500,3000,3000,100_20000,
+BAISD,FAT,HIS,157250,16000,1000,4500,3000,3000,100_20000,
+BAMAC,FAT,MAC,192250,16000,1000,4500,3000,3000,100_20000,
+BAPHI,FAT,PHI,157250,16000,1000,4500,3000,3000,100_20000,
+BARCS,FAT,RCS,157250,16000,1000,4500,3000,3000,100_20000,
+BARST,FAT,RCS,157250,16000,1000,4500,3000,3000,100_20000,
+BATMA,FAT,TMA,157250,16000,1000,4500,3000,3000,100_20000,
+BSCANA,FBM,ANA,200000,16000,1000,4500,3000,3000,100_20000,
+BMLS,FBM,MLS,,,,,,,,
+BMLSCHMP,FBM,MLS,,,,,,,,
+BMLSHBTS,FBM,MLS,,,,,,,,
+BMLSHIST,FBM,MLS,,,,,,,,
+BMLSMMCB,FBM,MLS,,,,,,,,
+BSCNSG,FBM,NSG,,,,,,,,
+BSCPHS,FBM,PHS,178000,16000,1000,4500,3000,3000,100_20000,
+BSCPYS,FBM,PYS,178000,16000,1000,4500,3000,3000,100_20000,
+MBBS,FCS,MED,,,,,,,,
+BEDACC,FED,BED,170000,16000,1000,4500,3000,3000,100_20000,
+BEDOTM,FED,BED,170000,16000,1000,4500,3000,3000,100_20000,
+BEDSEC,FED,BED,170000,16000,1000,4500,3000,3000,100_20000,
+BEDBIO,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDCHM,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDCSC,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDENG,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDFRN,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDMTH,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPHY,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPPE,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDSSE,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+CAI,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDEDM,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHIS,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+BEDRSE,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+EFM,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+BEDECO,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDGAC,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDGEO,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPOL,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHED,FED,HKH,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHKE,FED,HKH,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPHE,FED,HKH,170000,16000,1000,4500,3000,3000,100_20000,
+BSCLIS,FED,LIS,160250,16000,1000,4500,3000,3000,100_20000,
+BEDAGR,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHECO,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+BEDTEC,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+VTE,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+BSCARC,FES,ARC,183500,16000,1000,4500,3000,3000,100_20000,
+BSCBLD,FES,BLD,183500,16000,1000,4500,3000,3000,100_20000,
+BFA,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFAGRH,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFAPNT,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFASC,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFATD,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BSCFAA,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BSCGEM,FES,GEM,167250,16000,1000,4500,3000,3000,100_20000,
+BSCGRP,FES,GEM,167250,16000,1000,4500,3000,3000,100_20000,
+BENGAGE,FET,AGE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGCIE,FET,CIE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGELE,FET,ELE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGIPE,FET,IPE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGMPE,FET,IPE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGPE,FET,IPE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGMEE,FET,MEE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGMME,FET,MME,217500,16000,1000,4500,3000,3000,100_20000,
+BSCBCH,FLS,BCH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCBOT,FLS,BOT,173000,16000,1000,4500,3000,3000,100_20000,
+BSCHND,FLS,HND,173000,16000,1000,4500,3000,3000,100_20000,
+BSCMCB,FLS,MCB,178000,16000,1000,4500,3000,3000,100_20000,
+BSCPSB,FLS,PSB,173000,16000,1000,4500,3000,3000,100_20000,
+BSCZOO,FLS,ZOO,173000,16000,1000,4500,3000,3000,100_20000,
+LLB,FLW,LAW,330500,16000,1000,4500,3000,3000,100_20000,
+BSCACC,FMS,ACC,210750,16000,1000,4500,3000,3000,100_20000,
+BSCBAF,FMS,BAF,186250,16000,1000,4500,3000,3000,100_20000,
+BSCBUS,FMS,BUS,186250,16000,1000,4500,3000,3000,100_20000,
+BSCPUB,FMS,PUB,186250,16000,1000,4500,3000,3000,100_20000,
+BSCCHM,FPS,CHM,198000,16000,1000,4500,3000,3000,100_20000,
+BSCICH,FPS,CHM,198000,16000,1000,4500,3000,3000,100_20000,
+BSCCSC,FPS,CSC,200500,16000,1000,4500,3000,3000,100_20000,
+BSCIMTH,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCMTH,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCSTA,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCAPHY,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
+BSCPHY,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
+BSCECO,FSS,ECO,181000,16000,1000,4500,3000,3000,100_20000,
+BSCPOL,FSS,POL,167250,16000,1000,4500,3000,3000,100_20000,
+BSCPSY,FSS,PSY,167250,16000,1000,4500,3000,3000,100_20000,
+BSCSOC,FSS,SOC,167250,16000,1000,4500,3000,3000,100_20000,
 LLM,FLW,LAW,750000,16000,,4500,3000,,,
 LLMCL,FLW,LAW,750000,16000,,4500,3000,,,