Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_pg.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_pg.py	(revision 17816)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_pg.py	(revision 17817)
@@ -1,4 +1,4 @@
 ADML_PG = """
-1. Details of your programme will be made available to you by the Head of your Department on your arrival at the Igbinedion University. The session commences every October.
+1. Details of your programme will be made available to you by the head of your department on your arrival at the Igbinedion University. The session commences every October.
 
 2. This offer is conditional upon the confirmation of your qualifications as listed by you in your application form. You will be required to produce the ORIGINAL COPIES of all your certificates for verification during registration. If at any time after admission, it is discovered that you do not possess any of the qualifications upon which this offer of admission was made, you will be required to withdraw from the University.
@@ -15,35 +15,31 @@
 Nigeria
 
-(b)	Forward the following along with the Acceptance Form of Provisional Offer of Admission.
+(b) Forward the following along with the Acceptance Form of Provisional Offer of Admission:
 
-(i) A non-refundable deposit of N100,000.00 (One Hundred Thousand Naira Only) which is part of the School fees: Payable Online.
+(i) A non-refundable deposit of N100,000.00 (One Hundred Thousand Naira Only) which is part of the school fees: payable online.
 
 (ii) Four recent passport-size photograph of yourself with your full-names (surname first in BLOCK LETTERS) written on the reverse side of the photograph and pinned to the Acceptance Form.
 
-4. The following will be required for Registration:
+4. The following will be required for registration:
 
-(a) A medical examination to be conducted by an approved medical practitioner. On your arrival at the Igbinedion University, you should submit the enclosed Igbinedion University Medical Examination Form duly completed and signed by an approved medical practitioner together with your chest X-ray film to Director of Health Service at the Igbinedion University, Okada.
+(a) A medical examination to be conducted by an approved medical practitioner. On your arrival at the Igbinedion University, you should submit the enclosed Igbinedion University Medical Examination Form duly completed and signed by an approved medical practitioner together with your chest x-ray film to Director of Health Service at the Igbinedion University, Okada.
 
 (b) The original copies of all credentials listed in your application form (including NYSC discharge/exemption certificate) should be brought for sighting.
 
-5. You are required to pay the necessary fees and register for your degree programme not later than three weeks from the beginning of the Academic Session. Late registration may be allowed during an additional period of five weeks on payment of a late registration fees. Please note that you will be allowed to register after two months have elapsed from the beginning of the sessions.
+5. You are required to pay the necessary fees and register for your degree programme not later than three weeks from the beginning of the academic session. Late registration may be allowed during an additional period of five weeks on payment of a late registration fees. Please note that you will be allowed to register after two months have elapsed from the beginning of the sessions.
 
 6. Please find attached:
 
-(a) A copy of School fees Regime
-(b) A copy of Acceptance Forms
+(a) A copy of school fees regime
 
-7. Note:
+(b) A copy of acceptance forms
 
-(a) All Tuition fees are to be paid online
-(b) Post-graduate dues and other charges are to be paid into ABC Microfinance Bank Okada, Account No: 30125
+<fettt>7. Note:
 
-8.  CONGRATULATIONS!!!
+(a) All tuition fees are to be paid online.
 
-Yours faithfully,
+(b) Post-graduate dues and other charges are to be paid into ABC Microfinance Bank Okada, Account No: 30125.
 
-<img src="${signature_ezewele_img_path}" valign="-20" height="38" width="86" />
-
-Mrs. Angela Ezewele
-Secretary, School of Postgraduate Studies & Research
+(c) This is not a substantative admission letter. Visit the PG (Postgraduate) School with copies of your credentials.
+</fettt>
 """